diff --git src/widgets/styles/qmacstyle_mac.mm src/widgets/styles/qmacstyle_mac.mm
index e6436f82a6..be7c58cf72 100644
--- src/widgets/styles/qmacstyle_mac.mm
+++ src/widgets/styles/qmacstyle_mac.mm
@@ -1669,29 +1579,29 @@ void QMacStylePrivate::drawTableHeader(const HIRect &outerBounds,
         // Draw left center transition block border
         p->drawPixmap(QRect(0, center - qRound(transh / 2.0f), framew, buffer.height() - frameh_n - frameh_s), buffer, QRect(0, frameh_n + 1, framew, transh));
     }
-
+    
     p->translate(-outerBounds.origin.x, -outerBounds.origin.y);
 }
 
 /*
-    Returns cutoff sizes for scroll bars.
-    thumbIndicatorCutoff is the smallest size where the thumb indicator is drawn.
-    scrollButtonsCutoff is the smallest size where the up/down buttons is drawn.
-*/
+ Returns cutoff sizes for scroll bars.
+ thumbIndicatorCutoff is the smallest size where the thumb indicator is drawn.
+ scrollButtonsCutoff is the smallest size where the up/down buttons is drawn.
+ */
 enum ScrollBarCutoffType { thumbIndicatorCutoff = 0, scrollButtonsCutoff = 1 };
 static int scrollButtonsCutoffSize(ScrollBarCutoffType cutoffType, QMacStyle::WidgetSizePolicy widgetSize)
 {
     // Mini scroll bars do not exist as of version 10.4.
     if (widgetSize ==  QMacStyle::SizeMini)
         return 0;
-
+    
     const int sizeIndex = (widgetSize == QMacStyle::SizeSmall) ? 1 : 0;
     static const int sizeTable[2][2] = { { 61, 56 }, { 49, 44 } };
     return sizeTable[sizeIndex][cutoffType];
 }
 
 void QMacStylePrivate::getSliderInfo(QStyle::ComplexControl cc, const QStyleOptionSlider *slider,
-                          HIThemeTrackDrawInfo *tdi, const QWidget *needToRemoveMe) const
+                                     HIThemeTrackDrawInfo *tdi, const QWidget *needToRemoveMe) const
 {
     memset(tdi, 0, sizeof(HIThemeTrackDrawInfo)); // We don't get it all for some reason or another...
     tdi->version = qt_mac_hitheme_version;
@@ -1699,32 +1609,32 @@ void QMacStylePrivate::getSliderInfo(QStyle::ComplexControl cc, const QStyleOpti
     tdi->filler1 = 0;
     bool isScrollbar = (cc == QStyle::CC_ScrollBar);
     switch (aquaSizeConstrain(slider, needToRemoveMe)) {
-    case QAquaSizeUnknown:
-    case QAquaSizeLarge:
-        if (isScrollbar)
-            tdi->kind = kThemeMediumScrollBar;
-        else
-            tdi->kind = kThemeMediumSlider;
-        break;
-    case QAquaSizeMini:
-        if (isScrollbar)
-            tdi->kind = kThemeSmallScrollBar; // should be kThemeMiniScrollBar, but not implemented
-        else
-            tdi->kind = kThemeMiniSlider;
-        break;
-    case QAquaSizeSmall:
-        if (isScrollbar)
-            tdi->kind = kThemeSmallScrollBar;
-        else
-            tdi->kind = kThemeSmallSlider;
-        break;
+        case QAquaSizeUnknown:
+        case QAquaSizeLarge:
+            if (isScrollbar)
+                tdi->kind = kThemeMediumScrollBar;
+            else
+                tdi->kind = kThemeMediumSlider;
+            break;
+        case QAquaSizeMini:
+            if (isScrollbar)
+                tdi->kind = kThemeSmallScrollBar; // should be kThemeMiniScrollBar, but not implemented
+            else
+                tdi->kind = kThemeMiniSlider;
+            break;
+        case QAquaSizeSmall:
+            if (isScrollbar)
+                tdi->kind = kThemeSmallScrollBar;
+            else
+                tdi->kind = kThemeSmallSlider;
+            break;
     }
-
+    
     bool usePlainKnob = slider->tickPosition == QSlider::NoTicks
-            || slider->tickPosition == QSlider::TicksBothSides;
-
+    || slider->tickPosition == QSlider::TicksBothSides;
+    
     tdi->bounds = qt_hirectForQRect(slider->rect);
-    if (isScrollbar) {
+    if (isScrollbar || QSysInfo::MacintoshVersion < QSysInfo::MV_10_10) {
         tdi->min = slider->minimum;
         tdi->max = slider->maximum;
         tdi->value = slider->sliderPosition;
@@ -1737,7 +1647,7 @@ void QMacStylePrivate::getSliderInfo(QStyle::ComplexControl cc, const QStyleOpti
             tdi->max = 10 * slider->rect.width();
         else
             tdi->max = 10 * slider->rect.height();
-
+        
         int range = slider->maximum - slider->minimum;
         if (range == 0) {
             tdi->value = 0;
@@ -1760,15 +1670,15 @@ void QMacStylePrivate::getSliderInfo(QStyle::ComplexControl cc, const QStyleOpti
                 tdi->attributes &= ~kThemeTrackRightToLeft;
         }
     }
-
+    
     // Tiger broke reverse scroll bars so put them back and "fake it"
     if (isScrollbar && (tdi->attributes & kThemeTrackRightToLeft)) {
         tdi->attributes &= ~kThemeTrackRightToLeft;
         tdi->value = tdi->max - tdi->value;
     }
-
+    
     tdi->enableState = (slider->state & QStyle::State_Enabled) ? kThemeTrackActive
-                                                             : kThemeTrackDisabled;
+    : kThemeTrackDisabled;
     if (!isScrollbar) {
         if (slider->state & QStyle::QStyle::State_HasFocus)
             tdi->attributes |= kThemeTrackHasFocus;
@@ -1797,24 +1707,24 @@ void QMacStylePrivate::setAutoDefaultButton(QObject *button) const
 }
 
 QMacStylePrivate::QMacStylePrivate()
-    : mouseDown(false), backingStoreNSView(nil)
+: mouseDown(false), backingStoreNSView(nil)
 {
     defaultButtonStart = CFAbsoluteTimeGetCurrent();
     memset(&buttonState, 0, sizeof(ButtonState));
-
+    
     if (ptrHIShapeGetBounds == 0) {
         QLibrary library(QLatin1String("/System/Library/Frameworks/Carbon.framework/Carbon"));
         library.setLoadHints(QLibrary::ExportExternalSymbolsHint);
         ptrHIShapeGetBounds = reinterpret_cast<PtrHIShapeGetBounds>(library.resolve("HIShapeGetBounds"));
     }
-
+    
 }
 
 QMacStylePrivate::~QMacStylePrivate()
 {
     QMacAutoReleasePool pool;
     Q_FOREACH (NSView *b, cocoaControls)
-        [b release];
+    [b release];
 }
 
 ThemeDrawState QMacStylePrivate::getDrawState(QStyle::State flags)
@@ -1837,56 +1747,56 @@ ThemeDrawState QMacStylePrivate::getDrawState(QStyle::State flags)
 static QCocoaWidget cocoaWidgetFromHIThemeButtonKind(ThemeButtonKind kind)
 {
     QCocoaWidget w;
-
+    
     switch (kind) {
-    case kThemePopupButton:
-    case kThemePopupButtonSmall:
-    case kThemePopupButtonMini:
-        w.first = QCocoaPopupButton;
-        break;
-    case kThemeComboBox:
-        w.first = QCocoaComboBox;
-        break;
-    case kThemeArrowButton:
-        w.first = QCocoaArrowButton;
-        break;
-    case kThemeCheckBox:
-    case kThemeCheckBoxSmall:
-    case kThemeCheckBoxMini:
-        w.first = QCocoaCheckBox;
-        break;
-    case kThemeRadioButton:
-    case kThemeRadioButtonSmall:
-    case kThemeRadioButtonMini:
-        w.first = QCocoaRadioButton;
-        break;
-    case kThemePushButton:
-    case kThemePushButtonSmall:
-    case kThemePushButtonMini:
-        w.first = QCocoaPushButton;
-        break;
-    default:
-        break;
+        case kThemePopupButton:
+        case kThemePopupButtonSmall:
+        case kThemePopupButtonMini:
+            w.first = QCocoaPopupButton;
+            break;
+        case kThemeComboBox:
+            w.first = QCocoaComboBox;
+            break;
+        case kThemeArrowButton:
+            w.first = QCocoaArrowButton;
+            break;
+        case kThemeCheckBox:
+        case kThemeCheckBoxSmall:
+        case kThemeCheckBoxMini:
+            w.first = QCocoaCheckBox;
+            break;
+        case kThemeRadioButton:
+        case kThemeRadioButtonSmall:
+        case kThemeRadioButtonMini:
+            w.first = QCocoaRadioButton;
+            break;
+        case kThemePushButton:
+        case kThemePushButtonSmall:
+        case kThemePushButtonMini:
+            w.first = QCocoaPushButton;
+            break;
+        default:
+            break;
     }
-
+    
     switch (kind) {
-    case kThemePushButtonSmall:
-    case kThemePopupButtonSmall:
-    case kThemeCheckBoxSmall:
-    case kThemeRadioButtonSmall:
-        w.second = QAquaSizeSmall;
-        break;
-    case kThemePushButtonMini:
-    case kThemePopupButtonMini:
-    case kThemeCheckBoxMini:
-    case kThemeRadioButtonMini:
-        w.second = QAquaSizeMini;
-        break;
-    default:
-        w.second = QAquaSizeLarge;
-        break;
+        case kThemePushButtonSmall:
+        case kThemePopupButtonSmall:
+        case kThemeCheckBoxSmall:
+        case kThemeRadioButtonSmall:
+            w.second = QAquaSizeSmall;
+            break;
+        case kThemePushButtonMini:
+        case kThemePopupButtonMini:
+        case kThemeCheckBoxMini:
+        case kThemeRadioButtonMini:
+            w.second = QAquaSizeMini;
+            break;
+        default:
+            w.second = QAquaSizeLarge;
+            break;
     }
-
+    
     return w;
 }
 
@@ -1894,7 +1804,7 @@ NSView *QMacStylePrivate::cocoaControl(QCocoaWidget widget) const
 {
     NSView *bv = cocoaControls[widget];
     if (!bv) {
-
+        
         if (widget.first == QCocoaPopupButton
             || widget.first == QCocoaPullDownButton)
             bv = [[NSPopUpButton alloc] init];
@@ -1908,61 +1818,61 @@ NSView *QMacStylePrivate::cocoaControl(QCocoaWidget widget) const
             bv = [[NSSlider alloc] initWithFrame:NSMakeRect(0, 0, 10, 100)];
         else
             bv = [[NSButton alloc] init];
-
+        
         switch (widget.first) {
-        case QCocoaArrowButton: {
-            NSButton *bc = (NSButton *)bv;
-            bc.buttonType = NSOnOffButton;
-            bc.bezelStyle = NSDisclosureBezelStyle;
-            break;
-        }
-        case QCocoaCheckBox: {
-            NSButton *bc = (NSButton *)bv;
-            bc.buttonType = NSSwitchButton;
-            break;
-        }
-        case QCocoaRadioButton: {
-            NSButton *bc = (NSButton *)bv;
-            bc.buttonType = NSRadioButton;
-            break;
-        }
-        case QCocoaPushButton: {
-            NSButton *bc = (NSButton *)bv;
-            bc.buttonType = NSMomentaryLightButton;
-            bc.bezelStyle = NSRoundedBezelStyle;
-            break;
-        }
-        case QCocoaPullDownButton: {
-            NSPopUpButton *bc = (NSPopUpButton *)bv;
-            bc.pullsDown = YES;
-            break;
-        }
-        default:
-            break;
+            case QCocoaArrowButton: {
+                NSButton *bc = (NSButton *)bv;
+                bc.buttonType = NSOnOffButton;
+                bc.bezelStyle = NSDisclosureBezelStyle;
+                break;
+            }
+            case QCocoaCheckBox: {
+                NSButton *bc = (NSButton *)bv;
+                bc.buttonType = NSSwitchButton;
+                break;
+            }
+            case QCocoaRadioButton: {
+                NSButton *bc = (NSButton *)bv;
+                bc.buttonType = NSRadioButton;
+                break;
+            }
+            case QCocoaPushButton: {
+                NSButton *bc = (NSButton *)bv;
+                bc.buttonType = NSMomentaryLightButton;
+                bc.bezelStyle = NSRoundedBezelStyle;
+                break;
+            }
+            case QCocoaPullDownButton: {
+                NSPopUpButton *bc = (NSPopUpButton *)bv;
+                bc.pullsDown = YES;
+                break;
+            }
+            default:
+                break;
         }
-
+        
         if ([bv isKindOfClass:[NSButton class]]) {
             NSButton *bc = (NSButton *)bv;
             bc.title = @"";
         }
-
+        
         if ([bv isKindOfClass:[NSControl class]]) {
             NSCell *bcell = [(NSControl *)bv cell];
             switch (widget.second) {
-            case QAquaSizeSmall:
-                bcell.controlSize = NSSmallControlSize;
-                break;
-            case QAquaSizeMini:
-                bcell.controlSize = NSMiniControlSize;
-                break;
-            default:
-                break;
+                case QAquaSizeSmall:
+                    bcell.controlSize = NSSmallControlSize;
+                    break;
+                case QAquaSizeMini:
+                    bcell.controlSize = NSMiniControlSize;
+                    break;
+                default:
+                    break;
             }
         }
-
+        
         const_cast<QMacStylePrivate *>(this)->cocoaControls.insert(widget, bv);
     }
-
+    
     return bv;
 }
 
@@ -1992,17 +1902,17 @@ void QMacStylePrivate::drawNSViewInRect(QCocoaWidget widget, NSView *view, const
         offset = QPoint(5, 0);
     else if (widget == QCocoaWidget(QCocoaComboBox, QAquaSizeLarge))
         offset = QPoint(3, 0);
-
+    
     QMacCGContext ctx(p);
     CGContextSaveGState(ctx);
     CGContextTranslateCTM(ctx, offset.x(), offset.y());
-
+    
     [NSGraphicsContext saveGraphicsState];
     [NSGraphicsContext setCurrentContext:[NSGraphicsContext
                                           graphicsContextWithGraphicsPort:ctx flipped:YES]];
-
+    
     NSRect rect = NSMakeRect(qtRect.x() + 1, qtRect.y(), qtRect.width(), qtRect.height());
-
+    
     [backingStoreNSView addSubview:view];
     view.frame = rect;
     if (drawRectBlock)
@@ -2010,7 +1920,7 @@ void QMacStylePrivate::drawNSViewInRect(QCocoaWidget widget, NSView *view, const
     else
         [view drawRect:rect];
     [view removeFromSuperviewWithoutNeedingDisplay];
-
+    
     [NSGraphicsContext restoreGraphicsState];
     CGContextRestoreGState(ctx);
 }
@@ -2024,19 +1934,20 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
                                            QPainter *p, const QStyleOption *opt) const
 {
     int xoff = 0,
-        yoff = 0,
-        extraWidth = 0,
-        extraHeight = 0,
-        finalyoff = 0;
-
+    yoff = 0,
+    extraWidth = 0,
+    extraHeight = 0,
+    finalyoff = 0;
+    
     const bool combo = opt->type == QStyleOption::SO_ComboBox;
     const bool editableCombo = bdi->kind == kThemeComboBox
-                               || bdi->kind == kThemeComboBoxSmall
-                               || bdi->kind == kThemeComboBoxMini;
+    || bdi->kind == kThemeComboBoxSmall
+    || bdi->kind == kThemeComboBoxMini;
     const bool button = opt->type == QStyleOption::SO_Button;
     const bool viewItem = opt->type == QStyleOption::SO_ViewItem;
     const bool pressed = bdi->state == kThemeStatePressed;
-
+    const bool usingYosemiteOrLater = QSysInfo::MacintoshVersion >= QSysInfo::MV_10_10;
+    
     if (button && pressed) {
         if (bdi->kind == kThemePushButton) {
             extraHeight = 2;
@@ -2046,18 +1957,18 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
             extraHeight = 5;
         }
     }
-
+    
     int devicePixelRatio = p->device()->devicePixelRatioF();
     int width = devicePixelRatio * (int(macRect.size.width) + extraWidth);
     int height = devicePixelRatio * (int(macRect.size.height) + extraHeight);
-
+    
     if (width <= 0 || height <= 0)
         return;   // nothing to draw
-
+    
     QString key = QLatin1String("$qt_mac_style_ctb_") + QString::number(bdi->kind) + QLatin1Char('_')
-                  + QString::number(bdi->value) + QLatin1Char('_')
-                  + (button ? QString::number(bdi->state) + QLatin1Char('_') : QString())
-                  + QLatin1Char('_') + QString::number(width) + QLatin1Char('_') + QString::number(height);
+    + QString::number(bdi->value) + QLatin1Char('_')
+    + (button ? QString::number(bdi->state) + QLatin1Char('_') : QString())
+    + QLatin1Char('_') + QString::number(width) + QLatin1Char('_') + QString::number(height);
     QPixmap pm;
     if (!QPixmapCache::find(key, pm)) {
         QPixmap activePixmap(width, height);
@@ -2074,39 +1985,66 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
                 HIRect newRect = CGRectMake(xoff, yoff, macRect.size.width, macRect.size.height);
                 if (button && pressed)
                     bdi->state = kThemeStateActive;
-                else if (viewItem)
+                else if (usingYosemiteOrLater && viewItem)
                     bdi->state = kThemeStateInactive;
                 HIThemeDrawButton(&newRect, bdi, cg, kHIThemeOrientationNormal, 0);
             }
         }
-
+        
         if (!combo && !button && bdi->value == kThemeButtonOff) {
             pm = activePixmap;
-        } else if ((combo && !editableCombo) || button) {
+        } else if (!usingYosemiteOrLater && (combo || button)) {
+            QImage image = activePixmap.toImage();
+            
+            for (int y = 0; y < height; ++y) {
+                QRgb *scanLine = reinterpret_cast<QRgb *>(image.scanLine(y));
+                
+                for (int x = 0; x < width; ++x) {
+                    QRgb &pixel = scanLine[x];
+                    
+                    int darkest = qRed(pixel);
+                    int mid = qGreen(pixel);
+                    int lightest = qBlue(pixel);
+                    
+                    if (darkest > mid)
+                        qSwap(darkest, mid);
+                    if (mid > lightest)
+                        qSwap(mid, lightest);
+                    if (darkest > mid)
+                        qSwap(darkest, mid);
+                    
+                    int gray = (mid + 2 * lightest) / 3;
+                    if (pressed)
+                        gray *= 0.88;
+                    pixel = qRgba(gray, gray, gray, qAlpha(pixel));
+                }
+            }
+            pm = QPixmap::fromImage(image);
+        } else if ((usingYosemiteOrLater && combo && !editableCombo) || button) {
             QCocoaWidget cw = cocoaWidgetFromHIThemeButtonKind(bdi->kind);
             NSButton *bc = (NSButton *)cocoaControl(cw);
             [bc highlight:pressed];
             bc.enabled = bdi->state != kThemeStateUnavailable && bdi->state != kThemeStateUnavailableInactive;
             bc.allowsMixedState = YES;
             bc.state = bdi->value == kThemeButtonOn ? NSOnState :
-                       bdi->value == kThemeButtonMixed ? NSMixedState : NSOffState;
+            bdi->value == kThemeButtonMixed ? NSMixedState : NSOffState;
             // The view frame may differ from what we pass to HITheme
             QRect rect = opt->rect;
             if (bdi->kind == kThemePopupButtonMini)
                 rect.adjust(0, 0, -5, 0);
             drawNSViewInRect(cw, bc, rect, p);
             return;
-        } else if (editableCombo || viewItem) {
+        } else if (usingYosemiteOrLater && (editableCombo || viewItem)) {
             QImage image = activePixmap.toImage();
-
+            
             for (int y = 0; y < height; ++y) {
                 QRgb *scanLine = reinterpret_cast<QRgb *>(image.scanLine(y));
-
+                
                 for (int x = 0; x < width; ++x) {
                     QRgb &pixel = scanLine[x];
                     int gray = qRed(pixel); // We know the image is grayscale
                     int alpha = qAlpha(pixel);
-
+                    
                     if (gray == 128 && alpha == 128) {
                         pixel = qRgba(255, 255, 255, 255);
                     } else if (alpha == 0) {
@@ -2127,7 +2065,7 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
                 QPixmap colorlessPixmap(width, height);
                 colorlessPixmap.setDevicePixelRatio(devicePixelRatio);
                 colorlessPixmap.fill(Qt::transparent);
-
+                
                 QMacCGContext cg(&colorlessPixmap);
                 HIRect newRect = CGRectMake(xoff, yoff, macRect.size.width, macRect.size.height);
                 int oldValue = bdi->value;
@@ -2136,21 +2074,21 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
                 bdi->value = oldValue;
                 colorlessImage = colorlessPixmap.toImage();
             }
-
+            
             for (int y = 0; y < height; ++y) {
                 QRgb *colorlessScanLine = reinterpret_cast<QRgb *>(colorlessImage.scanLine(y));
                 const QRgb *activeScanLine = reinterpret_cast<const QRgb *>(activeImage.scanLine(y));
-
+                
                 for (int x = 0; x < width; ++x) {
                     QRgb &colorlessPixel = colorlessScanLine[x];
                     QRgb activePixel = activeScanLine[x];
-
+                    
                     if (activePixel != colorlessPixel) {
                         int max = qMax(qMax(qRed(activePixel), qGreen(activePixel)),
                                        qBlue(activePixel));
                         QRgb newPixel = qRgba(max, max, max, qAlpha(activePixel));
                         if (qGray(newPixel) < qGray(colorlessPixel)
-                                || qAlpha(newPixel) > qAlpha(colorlessPixel))
+                            || qAlpha(newPixel) > qAlpha(colorlessPixel))
                             colorlessPixel = newPixel;
                     }
                 }
@@ -2163,25 +2101,23 @@ void QMacStylePrivate::drawColorlessButton(const HIRect &macRect, HIThemeButtonD
 }
 
 QMacStyle::QMacStyle()
-    : QCommonStyle(*new QMacStylePrivate)
+: QCommonStyle(*new QMacStylePrivate)
 {
     Q_D(QMacStyle);
     QMacAutoReleasePool pool;
-
+    
     d->receiver = [[NotificationReceiver alloc] initWithPrivate:d];
     NotificationReceiver *receiver = static_cast<NotificationReceiver *>(d->receiver);
-
+    
     [[NSNotificationCenter defaultCenter] addObserver:receiver
-                                                      selector:@selector(scrollBarStyleDidChange:)
-      name:NSPreferredScrollerStyleDidChangeNotification
-      object:nil];
-
-    // Create scroller objects. Scroller internal direction setup happens
-    // on initWithFrame and cannot be changed later on. Create two scrollers
-    // initialized with fake geometry. Correct geometry is set at draw time.
+                                             selector:@selector(scrollBarStyleDidChange:)
+                                                 name:NSPreferredScrollerStyleDidChangeNotification
+                                               object:nil];
+    
+    //d->nsscroller = [[NSScroller alloc] init];
     d->horizontalScroller = [[NSScroller alloc] initWithFrame:NSMakeRect(0, 0, 200, 20)];
     d->verticalScroller = [[NSScroller alloc] initWithFrame:NSMakeRect(0, 0, 20, 200)];
-
+    
     d->indicatorBranchButtonCell = nil;
 }
 
@@ -2189,21 +2125,22 @@ QMacStyle::~QMacStyle()
 {
     Q_D(QMacStyle);
     QMacAutoReleasePool pool;
-
+    
+    //[reinterpret_cast<NSScroller*>(d->nsscroller) release];
     [d->horizontalScroller release];
     [d->verticalScroller release];
-
+    
     NotificationReceiver *receiver = static_cast<NotificationReceiver *>(d->receiver);
     [[NSNotificationCenter defaultCenter] removeObserver:receiver];
     [receiver release];
-
+    
     delete qt_mac_backgroundPattern;
     qt_mac_backgroundPattern = 0;
 }
 
 /*! \internal
-    Generates the standard widget background pattern.
-*/
+ Generates the standard widget background pattern.
+ */
 QPixmap QMacStylePrivate::generateBackgroundPattern() const
 {
     QMacAutoReleasePool pool;
@@ -2216,9 +2153,9 @@ QPixmap QMacStylePrivate::generateBackgroundPattern() const
 }
 
 /*! \internal
-    Fills the given \a rect with the pattern stored in \a brush. As an optimization,
-    HIThemeSetFill us used directly if we are filling with the standard background.
-*/
+ Fills the given \a rect with the pattern stored in \a brush. As an optimization,
+ HIThemeSetFill us used directly if we are filling with the standard background.
+ */
 void qt_mac_fill_background(QPainter *painter, const QRegion &rgn, const QBrush &brush)
 {
 #if 0
